<?php

// $Id: contenture.admin.inc,v 1.1 2009/05/22 06:10:47 inadarei Exp $

/**
 * @file
 * Admin callbacks for the Contenture module.
 */

/**
 * Implementation of hook_admin_settings()
 */
function contenture_admin_settings_form(&$form_state) {

/*
  $site_id = variable_get('contenture_site_id', '');
  $db_server = variable_get('contenture_db_server', '');
  $region = variable_get('contenture_js_region', 'footer');

*/

  $form['contenture_site_id'] = array(
    '#type' => 'textfield',
    '#title' => t('Contenture site ID'),
    '#default_value' => variable_get('contenture_site_id', ''),
    '#size' => 20,
    '#required' => TRUE,
  );

  $form['contenture_db_server'] = array(
    '#type' => 'textfield',
    '#title' => t('Contenture database server'),
    '#default_value' => variable_get('contenture_db_server', ''),
    '#description' => t('Note: These values are available from this site\'s dashboard on !url',
                  array('!url' => l('contenture.com', 'http.contenture.com'))
                ),
    '#size' => 20,
    '#required' => TRUE,
  );
  
  $form['contenture_js_region'] = array(
    '#type' => 'textfield',
    '#title' => t('Drupal Region for Javascript'),
    '#default_value' => variable_get('contenture_js_region', 'footer'),
    '#description' => t('Drupal region to place javascript in. Footer or similar region at the end of the page is highly recommended'),
    '#size' => 10,
    '#required' => TRUE,
  );


  return system_settings_form($form);
}
